{*
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Jose Ivan Suazo <isuazo@pixel.hn>
 *  @copyright 2017-2022 Pixel S.A. de C.V.
 *  @license   https://opensource.org/licenses/Apache-2.0
 */
*}
<style>
    .img-responsive {
        display: block;
        max-width: 100%;
        height: auto;
    }

    .info {
        display: flex;
        flex-direction: row;
        align-items: center;
        font-size: 12px
    }

    .info img {
        margin-right: 10px
    }

    .info p {
        flex: 1;
        font-size: 11px;
        margin: 0px;
    }

    .info p b {
        color: #4275F2
    }

    section {
        display: block;
        margin-bottom: 32px
    }

    section>hr {
        margin: 10px 0px !important;
        border: 0;
        border-top: 1px solid rgba(0, 0, 0, 0.1);
        box-sizing: content-box;
        height: 0;
    }
</style>


<script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/cleave.js/1.0.2/cleave.min.js"
    integrity="sha512-SvgzybymTn9KvnNGu0HxXiGoNeOi0TTK7viiG0EGn2Qbeu/NFi3JdWrJs2JHiGA1Lph+dxiDv5F9gDlcgBzjfA=="
    crossorigin="anonymous"></script>
<script src="https://unpkg.com/@pixelpay/sdk"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
    // Documento de procesos internos del sdk
    function saveTokenCard(token, reference){
        $.ajax({
            type: 'POST',
            url: document.getElementById("_xAjaxLink").value,
            headers: { "cache-control": "no-cache" },
            dataType: 'json',
            data: 	{
                        token: token,
                        reference: reference
                    }  ,
            success: function(response) {
              // AQUI 
        },
        error: function(response) {

          // ERROR AQUI
            },
        });
    }
    function createCard() {
        setPixelSetup();
        var card = PixelPay.newCard();
        var card_number = this.getCardNumber(document.getElementById("pixel_number").value);

        card.setCardNumber(card_number);
        card.setCvv(document.getElementById("pixel_cvv").value);
        card.setCardHolder(document.getElementById("pixel_holder").value);
        card.setExpirationDate(document.getElementById("pixel_exp_date").value);
        card.setCustomerToken(document.getElementById('_xToken').value)

        var billing = PixelPay.newBilling();
        billing.setCity(document.getElementsByName("_xCity")[0].value);
        billing.setState(document.getElementById('_xState').value);
        billing.setCountry(document.getElementById('_xCountryIso').value);
        billing.setZip(document.getElementsByName("_xPostCode")[0].value);
        billing.setAddress(document.getElementsByName("_xAddress")[0].value);
        billing.setPhoneNumber(document.getElementsByName("_xPhone")[0].value);

        try {

             PixelPay.tokenize().createCard(card, billing)
    .then(function (response) {
      const token  = response.data.token;
      const reference = response.data.mask;
      saveTokenCard(token, reference);
      sendform();
    })
    .catch(function (err) {
      console.error("Error: ", err);
      sendform();
    });

            return true;
        } catch (err) {
            return false;
        }
    }

    function setPixelOrder() {
        var order = PixelPay.newOrder();
        order.setOrderID(document.getElementsByName("_xOrder")[0].value);
        order.setFullName(document.getElementById("pixel_holder").value);
        order.setEmail(document.getElementsByName("_xEmail")[0].value);
        order.setAmount(document.getElementsByName("_xAmount")[0].value);
        order.setCategory('prestashop');
        return order;
    }

    function setPixelOrderToken() {
        console.log("token", document.getElementById('_xToken').value);
        var obj = $("input[name=tarjeta_tokenizada]:checked");
        console.log(document.getElementById('_xFirstName').value);
        var order = PixelPay.newOrder();
        order.setOrderID(document.getElementsByName("_xOrder")[0].value);
        order.setFullName(document.getElementById('_xFirstName').value + " " + document.getElementById('_xLastName').value);
        order.setEmail(document.getElementById('_xEmail').value);
        order.setAmount(document.getElementsByName("_xAmount")[0].value);
        order.setCategory('prestashop');
        return order;
    }

    function setPixelBilling(order) {
        var billing = PixelPay.newBilling();
        billing.setCity(document.getElementsByName("_xCity")[0].value);
        billing.setState(document.getElementById('_xState').value);
        billing.setCountry(document.getElementById('_xCountryIso').value);
        billing.setZip(document.getElementsByName("_xPostCode")[0].value);
        billing.setAddress(document.getElementsByName("_xAddress")[0].value);
        billing.setPhoneNumber(document.getElementsByName("_xPhone")[0].value);
        order.addBilling(billing);
        return order;
    }

    function getCardNumber(card) {
        return card.replace(/\s/g, '');
    }

    function setPixelCard(order, event) {
        var card = PixelPay.newCard();
        var card_number = this.getCardNumber(document.getElementById("pixel_number").value);

        card.setCardNumber(card_number);
        card.setCvv(document.getElementById("pixel_cvv").value);
        card.setCardHolder(document.getElementById("pixel_holder").value);
        card.setExpirationDate(document.getElementById("pixel_exp_date").value);
        order.addCard(card);
        return order
    }

    function setPixelSetup() {
        var key = document.getElementsByName('_xCustomerId')[0].value;
        var hash = document.getElementsByName('_xHash')[0].value;
        var endpoint = document.getElementsByName('_xEndpoint')[0].value;
        PixelPay.setup(key, hash, endpoint);
    }

    function showMsg(err) {
        console.log(err);
        PixelPay.toast({
            text: err.message,
            type: 'error',
            interval: 5,
            title: 'Error con la petición'
        });
        document.getElementById("conditions_to_approve[terms-and-conditions]").checked = false;
    }

    function showMsgLoading(message) {
        Swal.fire({
            title: message,
            timerProgressBar: true,
            didOpen: () => {
                Swal.showLoading()
            },
        });
        document.getElementById("conditions_to_approve[terms-and-conditions]").checked = false;
    }



    // Documento de procesos generales
    function tokenPayment(form) {
         
        setPixelSetup();
        order = setPixelOrderToken();
        var card = PixelPay.newCard();
        card.setToken(document.getElementById('_xToken').value,$("input[name=tarjeta_tokenizada]:checked").val());
        order.addCard(card);

        showMsgLoading('Realizando pago, por favor espere...');
        PixelPay.payOrder(order).then(function(response) {

            form.submit();
            return true;
        }).catch(function(err) {

            Swal.close();
            showMsg(err);
            return false;
        });
    }

    function manualPayment(form) {
        setPixelSetup();
        order = setPixelOrder();
        order = setPixelCard(order);
        order = setPixelBilling(order);

        showMsgLoading('Realizando pago, por favor espere...');
        PixelPay.payOrder(order).then(function(response) {

            form.submit();
            return true;
        }).catch(function(err) {

            Swal.close();
            showMsg(err);
            return false;
        });

    }

    function showDataHolder(obj, s) {
        var element = document.getElementById(obj);

        if (s == 'show') {
            element.style.display = 'block';
        } else {
            element.style.display = 'none';
        }
    }

    function askCustomerToken() {
        var token_existente = document.getElementsByName('_xToken')[0].value;
        if (token_existente != '') {
            return true;
        }
        return false;
    }

    function askCard() {
        var tarjeta_actual = $("input[name=tarjeta_tokenizada]:checked").val();
        if (tarjeta_actual != '0') {
            return true;
        } else {
            return false;
        }
    }

    function askTokenizar() {
        console.log("epaaa");
        return document.getElementById('pixel_tokenize')?.checked;
    }

    function processSdk(event) {
        var form = document.getElementById('formulario');
        try {
            // Revisar Caso - preguntar si hay que tokenizar
            if (askTokenizar()) {
                setPixelSetup();
                order = setPixelOrder();
                order = setPixelCard(order);
                order = setPixelBilling(order);

                showMsgLoading('Realizando pago, por favor espere...');
                PixelPay.payOrder(order).then(function(response) {
                    createCard();
                    form.submit();
                    return true;
                }).catch(function(err) {

                    swal.close();
                    showMsg(err);
                    return false;
                });
            } else {
                // No hay que tokenizar, preguntar si va a pagar con tarketa existente o a mano.
                if (askCard()) {
                    tokenPayment(form);
                } else {
                    manualPayment(form);
                }
            }
            return false;
        } catch (err) {

            showMsg(err);
            return false;
        }
    }
</script>