{*
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Jose Ivan Suazo <isuazo@pixel.hn>
 *  @copyright 2017-2022 Pixel S.A. de C.V.
 *  @license   https://opensource.org/licenses/Apache-2.0
 */
*}


<form action="{$action|escape:'htmlall':'UTF-8'}" method="post" onsubmit="return processSdk(event)" id="formulario">
    <input type="hidden" name="_xCustomerId" value="{$key|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xEndpoint" value="{$endpoint|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xHash" value="{$hash|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xBackValidate" value="{$action|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xBackCancel" value="{$cancel|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xOrder" value="{$order|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xOrderDate" value="{$date|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCurrency" value="{$currency->iso_code|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xAjaxLink" id="_xAjaxLink" value="{$ajax_link|escape:'htmlall':'UTF-8'}">

    <input type="hidden" id="promesa" value="0">

    <input type="hidden" name="_xContent" value="{$items|escape:'htmlall':'UTF-8'}" id="itemsJSON">

    <input type="hidden" name="_xToken" id="_xToken" value="{$pixel_token|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xFirstName" id="_xFirstName" value="{$customer->firstname|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xLastName" id="_xLastName" value="{$customer->lastname|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xLastName" value="{$customer->lastname|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xEmail" id="_xEmail" value="{$customer->email|escape:'htmlall':'UTF-8'}">

    <input type="hidden" name="_xAddress" value="{$address->address1|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xAddressAlt" value="{$address->address2|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xPostCode" value="{$address->postcode|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCity" value="{$address->city|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xState" id="_xState" value="{$state|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCountry" value="{$address->country|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xPhone" value="{$address->phone|escape:'htmlall':'UTF-8'}">

    <input type="hidden" name="_xShippingAmount" value="{$shipping|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xTaxAmount" value="{$tax|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xAmount" value="{$amount|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCountryIso" id="_xCountryIso" value="{$country_iso|escape:'htmlall':'UTF-8'}">

    <div class="delivery-options">
        {foreach from=$cards key=k item=card}
            <div class="row delivery-option">
                <div class="col-sm-1">
                    <span class="custom-radio float-xs-left">
                        <input type="radio" data-holder="{$card->card_holder|escape:'htmlall':'UTF-8'}"
                            data-email="{$card->billing_email|escape:'htmlall':'UTF-8'}" name="tarjeta_tokenizada"
                            onclick="showDataHolder('dataholder', 'hide')" value="{$card->reference|escape:'htmlall':'UTF-8'}">
                        <span></span>
                    </span>
                </div>
                <label class='col-xs-9 col-sm-11 delivery-option-2' for='exampleRadios1'>
                    <div class="row">
                        <div class="col-sm-9 col-xs-12">
                            <div class="row">
                                <div class="col-xs-12 carriere-name-container">
                                    <span class="h6 carrier-name">{$card->reference|escape:'htmlall':'UTF-8'}</span>
                                    <p>{$card->type|escape:'htmlall':'UTF-8'}
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-1 col-xs-12">
                            {if $card->network eq "visa"}
                                <span class="carrier-price"><img
                                        src="https://wordpress.codigogourmet.com/wp-content/plugins/woo-pixelpay-gateway//assets/visa.svg"></span>
                            {else}
                                <span class="carrier-price"><img
                                        src="https://wordpress.codigogourmet.com/wp-content/plugins/woo-pixelpay-gateway//assets/mastercard.svg"></span>
                            {/if}
                        </div>
                    </div>
                </label>
            </div>
        {/foreach}
    </div>

    <div class="pixelpay-card-content-form">
        <div class="form-group new-card">
            <input class="form-check-input radio-payment" type="radio" name="tarjeta_tokenizada"
                onclick="showDataHolder('dataholder', 'show')" id="tarjeta0" value="0" checked>
            <label class="form-check-label label-payment" for="exampleRadios1">
                <strong>Pagar con nueva tarjeta</strong>
            </label>
        </div>



        <div id="dataholder" class="hide">
            <div class="form-group">
                <label class="form-control-label">
                    Nombre en la tarjeta
                </label>
                <div>
                    <input required class="form-control" placeholder="Nombre Completo" name="alias" type="text"
                        id="pixel_holder" minlength="3" maxlength="42">
                </div>
            </div>

            <div class="form-group">
                <label class="form-control-label">
                    Número de la tarjeta
                </label>
                <div>
                    <input class="form-control input-card" data-mask="0000 0000 0000 0000"
                        placeholder="**** **** **** ****" name="alias" type="text" id="pixel_number" maxlength="32">
                </div>
            </div>

            <div class="form-group">
                <label class="form-control-label">
                    CVV
                </label>
                <div>
                    <input class="form-control" data-mask="000" placeholder="***" name="alias" type="text"
                        id="pixel_cvv" maxlength="32">
                </div>
            </div>

            <div class="form-group ">
                <label class="form-control-label">
                    Exp. Date
                </label>
                <div>
                    <input class="form-control" data-mask="00/00" placeholder="** / **" name="alias" type="text"
                        id="pixel_exp_date" maxlength="32">
                </div>
            </div>

            <div class="form-group">
                <ul>
                    <li>
                        {if $tokenization == 1}
                            {if $customer->is_guest == 0}
                                <div class="float-xs-left">
                                    <span class="custom-checkbox">
                                        <input id="pixel_tokenize" name="pixel_tokenize" type="checkbox">
                                        <span><i class="material-icons rtl-no-flip checkbox-checked"></i></span>
                                    </span>
                                </div>
                                <div class="condition-label">
                                    <label>
                                        Guardar tarjeta.
                                    </label>
                                </div>
                            {else}
                                <strong>
                                    Inicia sesión con tu cuenta para guardar tus tarjetas
                                </strong>
                            {/if}
                        {/if}
                    </li>
                </ul>
            </div>
        </div>
    </div>

    <div>
        <section>
            <div class="row">
                <div class="col-xs-12">
                    <span>Tarjetas aceptadas</span>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-1">
                    <span class="carrier-price"><img
                            src="https://wordpress.codigogourmet.com/wp-content/plugins/woo-pixelpay-gateway//assets/visa.svg"></span>
                </div>
                <div class="col-xs-1">
                    <span class="carrier-price"><img
                            src="https://wordpress.codigogourmet.com/wp-content/plugins/woo-pixelpay-gateway//assets/mastercard.svg"></span>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <span>
                        Este cobro es seguro gracias a nuestra certificacion PCI DSS para pagos con tarjetas de crédito
                        y débito.
                    </span>
                </div>
            </div>
        </section>

        <section>
            <div class="info">
                <img src="{$pixelpayPath|escape:'htmlall':'UTF-8'}/views/img/icon.svg" width="50" height="50">
                <p>
                    {l s='On the next page your payment is processed through' mod='pixelpayment'} <b>PixelPay</b>.<br>
                    {l s='We do not store card data. The transaction is' mod='pixelpayment'}
                    <b>{l s='encrypted and secure' mod='pixelpayment'}</b>.
                </p>
            </div>
            <hr>
            <img src="{$pixelpayPath|escape:'htmlall':'UTF-8'}/views/img/badge.png" alt="Pagos Seguros con PixelPay"
                height="45" width="480" class="img-responsive">
        </section>
    </div>

</form>

<style type="text/css">
    .list-radio {
        display: flex !important;
        justify-content: flex-start;
        align-items: center;
        flex-direction: row;
        cursor: pointer;
    }

    .pixelpay-card-content {
        background-color: white;
        border-radius: 5px;
        margin-bottom: 10px;
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    .content-info-card {
        display: flex !important;
        width: 100%;
        margin: 0px;
        padding: 20px 10px;
        cursor: pointer;
        font-weight: 400;
        justify-content: space-between;
        align-items: center;
        flex-direction: row;
        cursor: pointer;
    }

    .new-card {
        margin-left: 20px;
    }

    .carriere-name-container p {
        margin: 0;
    }

    .delivery-option {
        margin-left: 0;
        margin-right: 0;
        border-right: none !important;
    }

    .radio-payment {
        width: 20px;
        height: 20px;
        vertical-align: middle;
        cursor: pointer;
        border-radius: 50%;
        border: 2px solid #7a7a7a;
        background: #fff;
        margin-right: 1.25rem;
    }

    .label-payment {
        transform: translateY(5px);
    }
</style>



<script src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"
    integrity="sha512-pHVGpX7F/27yZ0ISY+VVjyULApbDlD0/X0rgGbTqCE7WFW5MezNTWG/dnhtbBuICzsd0WQPgpE4REBLv+UqChw=="
    crossorigin="anonymous"></script>

<script>
    (function() {
        var item = document.getElementById('itemsJSON');
        item.value = btoa(item.value)
    })();
</script>